#!/usr/bin/env js
importPackage(java.io);
var stdin = new BufferedReader(new InputStreamReader(java.lang.System['in']));

var line;
var array = [];
var even =[];

line = stdin.readLine();
array = JSON.parse(line);

for (var i=0; i<array.length; i++){
    if(array[i] % 2 == 0){
	even.push(array[i]);
    }
}

print(even);
